Hi,

I was compiling the sources of postgresql 7.4.11 on a
MAC OS X version 10.4.1 with Intel Pentium 4
processor.
I am getting the following error:
===========================
gnumake -C transam SUBSYS.o
gcc -O2 -fno-strict-aliasing -g -Wall
-Wmissing-prototypes -Wmissing-declarations
-I../../../../src/include -c -o xlog.o xlog.c
In file included from
../../../../src/include/storage/spin.h:50,
from xlog.c:35:
../../../../src/include/storage/s_lock.h:543:2: error:
#error PostgreSQL does not have native spinlock
support on this platform. To continue the compilation,
rerun configure using --disable-spinlocks. However,
performance will be poor. Please report this to
pgsql-bugs@postgresql.org.
In file included from
../../../../src/include/storage/spin.h:50,
from xlog.c:35:
../../../../src/include/storage/s_lock.h:551: error:
conflicting types for 'slock_t'
../../../../src/include/pg_config_os.h:11: error:
previous declaration of 'slock_t' was here
gnumake[4]: *** [xlog.o] Error 1
gnumake[3]: *** [transam-recursive] Error 2
gnumake[2]: *** [access-recursive] Error 2
gnumake[1]: *** [all] Error 2
gnumake: *** [all] Error 2
Failed at gnumake
=================================================

I then went ahead and used the --disable-spinlocks
option. But it errored out again with the following
message:
=================================================
In file included from
../../../../src/include/storage/spin.h:50,
from xlog.c:35:
../../../../src/include/storage/s_lock.h:551: error:
conflicting types for 'slock_t'
../../../../src/include/pg_config_os.h:11: error:
previous declaration of 'slock_t' was here
gnumake[4]: *** [xlog.o] Error 1
gnumake[3]: *** [transam-recursive] Error 2
gnumake[2]: *** [access-recursive] Error 2
gnumake[1]: *** [all] Error 2
gnumake: *** [all] Error 2
Failed at gnumake
==================================================

Are there any specific steps to be followed to compile
pgsql on MAC - Intel machines?
Pointers needed on how to compile postgresql on
mac-intel machines.

My gcc version is i686-apple-darwin8-gcc-4.0.0 (build
5026)

Thanks and Regards,
Nishant







___________________________________________________________
Yahoo! Messenger - NEW crystal clear PC to PC calling worldwide with voicemail http://uk.messenger.yahoo.com

Search Discussions

  • Brian A. Seklecki at Jan 19, 2006 at 4:41 pm
    You might offer to let a developer have remote shell access to
    troubleshoot that. Unless one of them was issued a new powerbook by thier
    employer, I'm sure they have limited access to this newer platform.

    Also, you should try Pkgsrc/Fink/Darwinports instead of compiling form
    source so that you have some sort of 3rd party software control system.

    Also posting config.log somewhere might be insightful

    ~BAS
    On Thu, 19 Jan 2006, Nishant wrote:

    Hi,

    I was compiling the sources of postgresql 7.4.11 on a
    MAC OS X version 10.4.1 with Intel Pentium 4
    processor.
    I am getting the following error:
    ===========================
    gnumake -C transam SUBSYS.o
    gcc -O2 -fno-strict-aliasing -g -Wall
    -Wmissing-prototypes -Wmissing-declarations
    -I../../../../src/include -c -o xlog.o xlog.c
    In file included from
    ../../../../src/include/storage/spin.h:50,
    from xlog.c:35:
    ../../../../src/include/storage/s_lock.h:543:2: error:
    #error PostgreSQL does not have native spinlock
    support on this platform. To continue the compilation,
    rerun configure using --disable-spinlocks. However,
    performance will be poor. Please report this to
    pgsql-bugs@postgresql.org.
    In file included from
    ../../../../src/include/storage/spin.h:50,
    from xlog.c:35:
    ../../../../src/include/storage/s_lock.h:551: error:
    conflicting types for 'slock_t'
    ../../../../src/include/pg_config_os.h:11: error:
    previous declaration of 'slock_t' was here
    gnumake[4]: *** [xlog.o] Error 1
    gnumake[3]: *** [transam-recursive] Error 2
    gnumake[2]: *** [access-recursive] Error 2
    gnumake[1]: *** [all] Error 2
    gnumake: *** [all] Error 2
    Failed at gnumake
    =================================================

    I then went ahead and used the --disable-spinlocks
    option. But it errored out again with the following
    message:
    =================================================
    In file included from
    ../../../../src/include/storage/spin.h:50,
    from xlog.c:35:
    ../../../../src/include/storage/s_lock.h:551: error:
    conflicting types for 'slock_t'
    ../../../../src/include/pg_config_os.h:11: error:
    previous declaration of 'slock_t' was here
    gnumake[4]: *** [xlog.o] Error 1
    gnumake[3]: *** [transam-recursive] Error 2
    gnumake[2]: *** [access-recursive] Error 2
    gnumake[1]: *** [all] Error 2
    gnumake: *** [all] Error 2
    Failed at gnumake
    ==================================================

    Are there any specific steps to be followed to compile
    pgsql on MAC - Intel machines?
    Pointers needed on how to compile postgresql on
    mac-intel machines.

    My gcc version is i686-apple-darwin8-gcc-4.0.0 (build
    5026)

    Thanks and Regards,
    Nishant







    ___________________________________________________________
    Yahoo! Messenger - NEW crystal clear PC to PC calling worldwide with voicemail http://uk.messenger.yahoo.com

    ---------------------------(end of broadcast)---------------------------
    TIP 1: if posting/reading through Usenet, please send an appropriate
    subscribe-nomail command to majordomo@postgresql.org so that your
    message can get through to the mailing list cleanly
    l8*
    -lava

    x.25 - minix - bitnet - plan9 - 110 bps - ASR 33 - base8
  • Tom Lane at Jan 19, 2006 at 5:29 pm

    Nishant writes:
    I was compiling the sources of postgresql 7.4.11 on a
    MAC OS X version 10.4.1 with Intel Pentium 4
    processor.
    Is there a reason you need to use such an old version of Postgres on
    such a bleeding-edge platform? PG 8.0 or 8.1 would be much more likely
    to work out-of-the-box, because we got rid of some of the assumptions
    about "this OS only runs on that processor(s)" in 8.0.

    regards, tom lane

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedJan 19, '06 at 4:28p
activeJan 19, '06 at 5:29p
posts3
users3
websitepostgresql.org
irc#postgresql

People

Translate

site design / logo © 2022 Grokbase